Page 1 of 1

Different php version?

Posted: 06 Apr 2019 21:25
by Unicorn86
Hello,

How to put another php version, because owncloud X doesn't support php 7 ?

Re: Different php version?

Posted: 06 Apr 2019 21:59
by doktornotor
Use Nextcloud => problem solved.

Re: Different php version?

Posted: 07 Apr 2019 18:03
by Unicorn86
I don't want to use Nextcloud. I've already tried it and it has a lot of bugs. You can't see the folders, icons, buttons, css is completely messed up, nobody replies on forums, the desktop client keeps showing error that it's not synced and it is, apps are unavailable...

Re: Different php version?

Posted: 07 Apr 2019 19:13
by doktornotor
Uhm... must be special problem in your install. None of the issues you mentioned is present here, probably why nobody replies to such weird problems. I'd suggest to redo it from scratch.

Re: Different php version?

Posted: 07 Apr 2019 19:47
by Unicorn86
I already do that several times. They did not solve this on nc forum. I installed php-imagick and this is not solve the problem. I've been using nas4free/xigmanas for almost 5 years and I have not had a problem with it yet. I feel bad not using it because of lack of seriousness of the oc and nc developers.

Re: Different php version?

Posted: 08 Apr 2019 10:12
by doktornotor
php-imagick has nothing to do with your broken CSS really, so no, that won't fix it.

P.S. Installing PHP extensions via pkg is highly discouraged. Will overwrite pretty much entire PHP stack that got installed via the XigmaNAS firmware.

Re: Different php version?

Posted: 08 Apr 2019 11:10
by raulfg3
your best aproach is to install on a jail, so you can install PHP that you need.

Please install OBI first and then Thebrig to start your test.